local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.MultifarmRoutes(container)




local frame = AceGUI:Create("Frame")
frame:SetTitle("Multifarm Routes")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Multifarm Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)




--[[ Shadowlands ]]-- 

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shadowlands Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)


  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)
  
  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)
  
  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)


--[[ Battle For Azeroth ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle For Azeroth Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)

--[[ Legion ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)

--[[ Wod ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Dreanor Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)


--[[ Mists of Pandaria ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)

--[[ Cataclysm ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)

--[[ Wrath of the Lich King ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Wrath of the Lich King Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)

--[[ The Burning Crusade ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125The Burning Crusade Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)

--[[ Vanilla ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local button = AceGUI:Create("Button")
  button:SetText("|cff00C78CRoutes:".."|cffffffff Work In Progress")
  button:SetWidth(350)
  scroll:AddChild(button)






























end